// $Id: GZFileAdapter.hh,v 1.7 2004/12/15 09:09:47 m9710797 Exp $

#ifndef __GZFILEADAPTER_HH__
#define __GZFILEADAPTER_HH__

#include <zlib.h>
#include "CompressedFileAdapter.hh"

namespace openmsx {

class GZFileAdapter : public CompressedFileAdapter
{
public:
	GZFileAdapter(std::auto_ptr<FileBase> file);

protected:
	virtual void decompress();

private:
	bool skipHeader(z_stream& s);
	byte getByte(z_stream &s);
};

} // namespace openmsx

#endif

